[ntp:questions] GCC-4.2.3 Compiler Error in NTP-4.2.2p4

Thomas Laus lausts at acm.org
Sat Feb 9 22:59:47 UTC 2008


On 2008-02-09, Harlan Stenn <stenn at ntp.org> wrote:
> Tom,
>
>>>> In article <slrnfqrnc2.1gue.lausts at laus.org>, Thomas Laus <lausts at acm.org> writes:
>
> First, somebody gets to decide if this is really a bug in the NTP code or if
> it is a bug in GCC.
>
> If it's a bug in NTP (or perhaps even if it's not), somebody then gets to
> open a report at http://bugs.ntp.org.  The odds are that if a patch to fix
> the problem is attached to that report it will be applied lots sooner.
>
Harlan:

That was the main reason for a question to this group before opening a
Bugzilla Report.  It compiled fine on another system that used an older
version of GCC.  I compiled some other really big programs (Firefox and
the GTK libraries using GCC-4.2.3_20080130.  Everything compiled fine
with the new GCC except for NTP.  I was thinking more along the lines
that the new GCC was just being more 'picky' than in the past and that I
could just change a config variable or add a 'ifdef' somewhere that
would let GCC compile NTP.  I wanted to see if anyone else was seeing
the same thing.

Tom


-- 
Public Keys:
PGP KeyID = 0x5F22FDC1
GnuPG KeyID = 0x620836CF




More information about the questions mailing list